Перейти к содержанию

MediaWiki:Common.css: различия между версиями

Нет описания правки
Нет описания правки
Строка 246: Строка 246:
.tg-custom-palette-icon {
.tg-custom-palette-icon {
     display: block !important;
     display: block !important;
     width: 220px !important;
     width: 26px !important;
     height: 220px !important;
     height: 26px !important;
     background-color: transparent !important;
     background-color: transparent !important;
     background-image: url('/images/f/f6/Palette.png') !important;
     background-image: url('/images/f/f6/Palette.png') !important;
Строка 255: Строка 255:
     transition: filter 0.3s ease !important;
     transition: filter 0.3s ease !important;
}
}
#p-tg-theme-dropdown-label {
    padding: 0 !important;
    min-width: 32px !important;
    min-height: 32px !important;
}
}


/* Эффект цветного неонового свечения вокруг палитры */
body:not(.theme-default) .tg-custom-palette-icon,
body:not(.theme-default) .tg-custom-palette-icon,
body.theme-active-dark .tg-custom-palette-icon {
body.theme-active-dark .tg-custom-palette-icon {
     filter: drop-shadow(0 0 4px var(--accent)) !important;
     filter: drop-shadow(0 0 5px var(--accent)) !important;
}
}